// 聊天模块
import { SevBack } from "../../common/Xys";
import { DayTipsKey } from "../const/TypeConst";
import GameDataCenter from "../GameDataCenter";
import IDataModel from "../../frameWork/model/IDataModel"

export default class DialogModel extends IDataModel {
    constructor() {
        super('dialog');
    }
    doSevback(result: SevBack): void {

    }
    doEvent(result: SevBack): void {

    }
    //今日是否已经设置不再提示
    checkSetToday(key: DayTipsKey): boolean {
        let time = this.Query(key + GameDataCenter.user.uuid, 0)
        return time > GameDataCenter.sevBack?.other?.new0
    }
    setTime(key: DayTipsKey, time: number) {
        this.Set(key + GameDataCenter.user.uuid, time)
        this.Save()
    }
}